{% if
    is_granted('ROLE_USER')
    or is_granted('ROLE_PROPERTY_FEEDER')
    or is_granted('ROLE_PROPERTY_VACANCY_REPORT_MANAGER')
    or is_granted('ROLE_VIEWER')
    or is_granted('ROLE_RESTRICTED_VIEWER')
    or is_granted('ROLE_PROPERTY_EXCEL_IMPORT_MANAGER')
    or is_granted('ROLE_PROPERTY_PROVIDER')
%}
    <li class="nav-item">
        <a class="nav-link nav-group-toggle{% if activeNavGroup is defined and activeNavGroup == 'property_vacancy_management' %} open{% endif %}" href="#propertyVacancyManagementSubmenu" data-coreui-toggle="collapse">Besatz und Leerstand</a>
        <ul id="propertyVacancyManagementSubmenu" class="nav-group-items collapse{% if activeNavGroup is defined and activeNavGroup == 'property_vacancy_management' %} show{% endif %}">
            {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') or is_granted('ROLE_PROPERTY_PROVIDER') %}
                {% set lastVisitedPageClass = 'App\\Domain\\Entity\\LastVisitedPage' %}
                <li class="nav-item">
                    {% set buildingUnitOverviewLastVisitedPage = fetch_object_from_session(lastVisitedPageClass, 'buildingUnitOverview') %}
                    {% if buildingUnitOverviewLastVisitedPage != null %}
                        {% set buildingUnitOverviewPagePath = path(buildingUnitOverviewLastVisitedPage.getRouteName(), buildingUnitOverviewLastVisitedPage.getParameters()) %}
                    {% else %}
                        {% set buildingUnitOverviewPagePath = path('property_vacancy_management_building_unit_overview_map')  %}
                    {% endif %}
                    <a class="nav-link{% if activeNavItem is defined and activeNavItem == 'property_vacancy_management_building_unit' %} active{% endif %}" href="{{ buildingUnitOverviewPagePath }}">Objekte</a>
                </li>
            {% endif %}
            {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_VACANCY_REPORT_MANAGER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                <li class="nav-item">
                    <a class="nav-link{% if activeNavItem is defined and activeNavItem == 'property_vacancy_management_property_vacancy_report' %} active{% endif %}" href="{{ path('property_vacancy_management_property_vacancy_report_unprocessed_overview') }}">Leerstandsmeldungen</a>
                </li>
            {% endif %}
            {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') or is_granted('ROLE_PROPERTY_PROVIDER') %}
                <li class="nav-item">
                    {% set buildingUnitArchiveOverviewLastVisitedPage = fetch_object_from_session(lastVisitedPageClass, 'buildingUnitArchiveOverview') %}
                    {% if buildingUnitArchiveOverviewLastVisitedPage != null %}
                        {% set buildingUnitArchiveOverviewPagePath = path(buildingUnitArchiveOverviewLastVisitedPage.getRouteName(), buildingUnitArchiveOverviewLastVisitedPage.getParameters())  %}
                    {% else %}
                        {% set buildingUnitArchiveOverviewPagePath = path('property_vacancy_management_building_unit_archive_overview_map')  %}
                    {% endif %}
                    <a class="nav-link{% if activeNavItem is defined and activeNavItem == 'property_vacancy_management_building_unit_archive' %} active{% endif %}" href="{{ buildingUnitArchiveOverviewPagePath }}">Archiv</a>
                </li>
            {% endif %}
            {% if is_granted('ROLE_ACCOUNT_ADMIN') or is_granted('ROLE_PROPERTY_EXCEL_IMPORT_MANAGER') %}
                <li class="nav-item">
                    <a class="nav-link{% if activeNavItem is defined and activeNavItem == 'property_vacancy_management_property_excel_import' %} active{% endif %}" href="{{ path('property_vacancy_management_property_excel_import_overview') }}">Excel-Import</a>
                </li>
            {% endif %}
        </ul>
    </li>
{% endif %}
